V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
ryanz91
V2EX  ›  问与答

昨天尝试了一下 poetry,发现 pycharm 里面直接安装依赖会报错

  •  
  •   ryanz91 · 2023-05-11 10:31:09 +08:00 · 696 次点击
    这是一个创建于 377 天前的主题,其中的信息可能已经有所发展或是发生改变。

    用 pycharm 写代码

    import pandas as pd
    

    光标放到 pandas ,alt+enter 会安装失败

    
      UnicodeEncodeError
    
      'gbk' codec can't encode character '\u2022' in position 2: illegal multibyte sequence
    
      at D:\user\xxx\Application Data\pypoetry\venv\lib\site-packages\cleo\io\outputs\stream_output.py:79 in _write
           75|     def _write(self, message: str, new_line: bool = False) -> None:
           76|         if new_line:
           77|             message += "\n"
           78| 
        >  79|         self._stream.write(message)
           80|         self._stream.flush()
           81| 
           82|     def _has_color_support(self) -> bool:
           83|         # Follow https://no-color.org/
    

    但是直接命令行执行命令是可以的

    poetry add pandas 
    

    错误如图 https://imgur.com/a/7bFzcth

    有大佬知道怎么解决吗?

    第 1 条附言  ·  2023-05-11 15:39:12 +08:00
    搞定了,环境变量设置一下 PYTHONUTF8=1 就可以了
    2 条回复    2023-05-11 11:14:31 +08:00
    yxt
        1
    yxt  
       2023-05-11 11:01:02 +08:00
    ryanz91
        2
    ryanz91  
    OP
       2023-05-11 11:14:31 +08:00
    @yxt 看样子目前没有解决啊
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   3079 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 37ms · UTC 00:48 · PVG 08:48 · LAX 17:48 · JFK 20:48
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.